Bug 248403 - Review Request: perl-Test-Class - Easily create test classes in an xUnit/JUnit style
Review Request: perl-Test-Class - Easily create test classes in an xUnit/JUni...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-16 13:38 EDT by Steven Pritchard
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 17:57:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2007-07-16 13:38:17 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Class/perl-Test-Class.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Class-0.24-1.src.rpm
Description:
Test::Class provides a simple way of creating classes and objects to test
your code in an xUnit style.
Comment 1 Parag AN(पराग) 2007-07-20 00:13:56 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
dc27881e002abb283b96e083e7eb49c4  Test-Class-0.24.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
t/00-load..............# Testing Test::Class::Load 0.02, Perl 5.008008,
/usr/bin/perl
ok
t/20-load-classes......ok
t/Tests................ok
t/_new.................ok
t/bad-autoloads........Prototype mismatch: sub CORE::GLOBAL::caller (;$) vs none
at /usr/lib/perl5/vendor_perl/5.8.8/Contextual/Return.pm line 12.
ok
t/bailout..............ok
t/builder..............ok
t/compile..............ok
t/current_method.......ok
t/diag_on_failure......ok
t/die_before_plan......ok
t/expected_tests.......ok
t/fail1................ok
t/fail2................ok
t/fail3................ok
t/header...............ok
t/late_header..........ok
t/methodinfo...........ok
t/named_test...........ok
t/num_method_tests.....ok
t/num_tests............ok
t/override.............ok
t/rt15870..............ok
t/rt17264..............ok
t/run_all_tests........ok
t/runtests.............ok
t/runtests_die.........ok
t/runtests_extra.......ok
t/runtests_noplan......ok
t/runtests_of..........ok
t/runtests_result......ok
t/runtests_return......ok
t/runtests_trailing....ok
t/skip1................ok
t/skip2................ok
t/skip_class_reason....ok
t/spaces...............ok
t/startup..............ok
t/startup_that_dies....ok
t/test_classes.........ok
t/test_deep............ok
t/test_method..........ok
t/test_verbose.........ok
t/todo.................ok
All tests successful.
Files=44, Tests=160,  4 wallclock secs ( 2.93 cusr +  0.60 csys =  3.53 CPU)
+ exit 0
+Provides: perl(Test::Class) = 0.24 perl(Test::Class::Load) = 0.02
perl(Test::Class::MethodInfo) = 0.02
+Requires: perl >= 0:5.006 perl(:MODULE_COMPAT_5.8.8) perl(Attribute::Handlers)
perl(Carp) perl(Class::ISA) perl(Devel::Symdump) perl(Devel::Symdump) >= 2.03
perl(File::Find) perl(File::Spec) perl(Storable) perl(Test::Builder)
perl(Test::Class) perl(Test::Class::MethodInfo) perl(Test::Exception) >= 0.15
perl(constant) perl(strict) perl(warnings)

APPROVED.
Comment 2 Steven Pritchard 2007-07-20 12:40:13 EDT
New Package CVS Request
=======================
Package Name: perl-Test-Class
Short Description: Easily create test classes in an xUnit/JUnit style
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com

Note You need to log in before you can comment on or make changes to this bug.